png::packed_gray_pixel< bits > Class Template Reference

The packed gray pixel class template. The available specializations are for 1-, 2- and 4-bit pixels. More...

`#include <gray_pixel.hpp>`

Inheritance diagram for png::packed_gray_pixel< bits >:

## Public Member Functions

| packed_gray_pixel (byte value=0)
Public Member Functions inherited from png::packed_pixel< bits >
| packed_pixel (byte value=0)
| operator byte () const

## Additional Inherited Members

Static Public Member Functions inherited from png::packed_pixel< bits >
static int | get_bit_depth ()
static byte | get_bit_mask ()

## Detailed Description

### template<int bits>
class png::packed_gray_pixel< bits >

The packed gray pixel class template. The available specializations are for 1-, 2- and 4-bit pixels.

## Constructor & Destructor Documentation

## packed_gray_pixel()

template<int bits>

png::packed_gray_pixel< bits >::packed_gray_pixel | ( | byte | value = `0` | ) |

inline

The documentation for this class was generated from the following file:

- gray_pixel.hpp